## azure-data-lake-store-python 0.0.53

=== docs/requirements.txt ===
numpydoc
cffi
adal

## azure-data-lake-store-python 0.0.48

=== debian/changelog ===
azure-data-lake-store-python (0.0.48-3) unstable; urgency=medium

  * Add Testsuite: autopkgtest-pkg-python to d/control
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:09 +0000

azure-data-lake-store-python (0.0.48-2) unstable; urgency=medium

  * Source-only no changes upload.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 10:55:56 +0000

azure-data-lake-store-python (0.0.48-1) unstable; urgency=medium

  * Initial release. (Closes: #951609)

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Feb 2020 16:57:23 +0000

=== debian/control ===
Source: azure-data-lake-store-python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-adal,
               python3-all,
               python3-numpydoc <!nodoc>,
               python3-requests,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-data-lake-store-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-data-lake-store-python
Vcs-Git: https://salsa.debian.org/python-team/modules/azure-data-lake-store-python.git
Testsuite: autopkgtest-pkg-python

Package: python3-azure-datalake-store
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Data Lake Store Filesystem Library for Python
 A pure-python interface to the Azure Data-lake Storage system, providing
 pythonic file-system and file objects, seamless transition between Windows and
 POSIX remote paths, high-performance up- and down-loader.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/azure-data-lake-store-python-?(\d\S+)\.tar\.gz/azure-data-lake-store-python_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-data-lake-store-python/tags .*/v-?(\d\S+)\.tar\.gz

## azure-data-lake-store-python 0.0.49

=== debian/changelog ===
azure-data-lake-store-python (0.0.49-1) unstable; urgency=medium

  * Merge tag 'v0.0.49' into debian/sid
  * Drop 0001-Add-source-root-dir-to-python-path-in-docs-conf.py.patch,
    merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 13 Aug 2020 11:49:09 +0100

## azure-data-lake-store-python 0.0.51

=== debian/changelog ===
azure-data-lake-store-python (0.0.51-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'v0.0.51' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 19 Oct 2020 10:47:41 +0100

azure-data-lake-store-python (0.0.50-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Merge branch 'lintian-fixes' into 'debian/sid'

  [ Luca Boccassi ]
  * Merge tag 'v0.0.50' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Sep 2020 11:33:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: azure-data-lake-store-python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -15,8 +15,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Azure/azure-data-lake-store-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-data-lake-store-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/azure-data-lake-store-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-data-lake-store-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/azure-data-lake-store-python.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-azure-datalake-store

## azure-data-lake-store-python 0.0.52

=== debian/changelog ===
azure-data-lake-store-python (0.0.52-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:31:46 +0000

azure-data-lake-store-python (0.0.52-1) unstable; urgency=medium

  * Merge tag 'v0.0.52' into debian/sid
  * Bump Standards-Version to 4.6.0, no changes
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Wed, 25 Aug 2021 11:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: azure-data-lake-store-python
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-adal,
                python3-all,
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_CLEAN=rm -rf azure_datalake_store.egg-info docs/build docs/api

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	sphinx-apidoc -f -e -o docs/api azure/datalake/store
	$(MAKE) -C docs man
endif
endif

# tests will attempt network connections, skip them
override_dh_auto_test:

## azure-data-lake-store-python 0.0.53

=== debian/changelog ===
azure-data-lake-store-python (0.0.53-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.0.53'
  * Bump copyright year ranges in d/copyright
  * Bump Standards-Version to 4.6.2, no changes
  * Switch to debian/clean
  * Add build-dependency on python3-msal

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Jun 2023 01:50:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
                dh-python,
                python3-adal,
                python3-all,
+               python3-msal <!nodoc>,
                python3-numpydoc <!nodoc>,
                python3-requests,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_AFTER_CLEAN=rm -rf azure_datalake_store.egg-info docs/build docs/api
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## azure-data-lake-store-python 1.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/S3Fs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/S3Fs.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/S3Fs"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/S3Fs"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
numpydoc
cffi

=== debian/changelog ===
azure-data-lake-store-python (1.0.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.0.1'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Switch to dh-sequence-python3

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-adal,
                python3-all,
                python3-msal <!nodoc>,
@@ -11,7 +12,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/.+\/v(\d\S+)\.tar\.gz/azure-data-lake-store-python_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-data-lake-store-python/tags .*/v-?(\d\S+)\.tar\.gz
